Subject: Re: CCL:Contour Plots

From: "Juan Miguel Bocanegra" <[email-masked]>
Date: Fri, 25 Sep 1998 01:24:40 +0200

Abraham,

On 24/9/98, at 22:31, Abraham Jones  wrote: 

>Hello, 
>
>  Greetings from NM.  I found your address on the internet when I search 
>for help on generating contour plots with Gnuplot .  I'm trying to 
>generate some 2-D contour plots and I can't get it to work.  Gnuplot 
>always says that it can't contour non-grid data.  I have my data files 
>set up with three columns x,y & z.  

I had the same problem some days ago. I also thought gnuplot was capable of
plotting contours from a 'standar' collection of x,y,z coordinates. This is wrong IMHO,
as far as I've seen (x,y) pairs _need_ form a grid, i.e, your data file must have the form

x1	y1	z(x1,y1)
x1	y2	z(x1,y2)
 ...
x1	yn	z(x1,yn)
				# blank line
x2	y1	z(x2,y1)
x2	y2	z(x2,y2)
 ...
x2	yn	z(x2,yn)

and so on.

Hope this helps, anyway look at the manual coming with the distribution.
JM

LIFE IS SO UNCERTAIN - EAT DESSERT FIRST 
                                 
Juan Miguel Bocanegra Moron (mailto:[email-masked])
Grup de Cinetica i Dinamica de Reaccions Elementals     
DEPARTAMENT DE QUIMICA FISICA-UNIVERSITAT DE BARCELONA    
Marti i Franques, 1  08023 Barcelona   SPAIN                	 
tel: ++34 93 402-1224    
http://www.qf.ub.es/area3/jbm.html